﻿@using Portal.Models.PO;
@using Portal.Models.Dock;
@using System.Web.UI.WebControls
@using System.Web.Mvc;

<table>
    <tr>
        @*because of change proses, Mr. Iman Ask Me to Change again for the combo, as before first*@
        @*<td align="left" width="40%">
            Dock Code
        </td>
        <td colspan="2">
            @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "DockCode";
                    settings.Width = 100;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDown;
                    settings.Properties.ValueField = "PlantCD";
                    settings.Properties.TextField = "DockCode";
                    settings.Properties.ClientSideEvents.SelectedIndexChanged = "DropDownSelectedIndexChangedEventHandler";
                    //settings.Properties.ClientSideEvents.ValueChanged = "DockCodeValueChangedEvents";
                }
                     ).BindList(ViewData["DockCode"]).GetHtml()
        </td>*@

        <td align="left">
        
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Dock Code";
                    edtSettings.Width = 100;
                }).GetHtml()
        </td>
        <td >
             @Html.Common().DevExpress().GridLookup(
                    s =>
                    {
                        s.Name = "grlDock";
                        s.GridProperties.KeyFieldName = "DockCode";
                        s.Width = 200;
                        s.GridProperties.CallbackRouteValues = new { Controller = "Dock", Action = "DockCodePartial" };
                        s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                        s.GridProperties.Width = 350;
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "PlantCD";
                            c.FieldName = "PlantCD";
                            
                            c.Caption = "Plant Code";
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "DockCode";
                            c.FieldName = "DockCode";
                            c.Caption = "Dock Code";
                            
                            c.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        });
                        s.GridProperties.Columns.Add(c =>
                        {
                            c.Name = "DockName";
                            c.FieldName = "DockName";
                           
                            c.Caption = "Dock Name";
                        });

                        //s.GridProperties.Columns.Add(c =>
                        //{
                        //    c.Name = "Email";
                        //    c.FieldName = "Email";

                        //    c.Caption = "Email";
                        //});
                    }
            ).Bind(ViewData["DockCode"]).GetHtml() 
        </td>
        
    </tr>
    @*<tr>
        <td align="left" width="40%">
            Plant Code
        </td>
        <td colspan="2">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "PlantCD";
                    settings.Width = 175;
                    settings.ReadOnly = true;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td align="left" width="40%">
            Dock Name
        </td>
        <td colspan="2">
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "DockName";
                    settings.Width = 175;
                    settings.ReadOnly = true;
                }
            ).GetHtml()
        </td>

    </tr>*@
    <tr>
        <td></td>
        <td style="display:inline-block; float:right">
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnSearch";
                    settings.Text = "Search";
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "SearchingDataWithCriteria";
                }
            ).GetHtml()
        </td>
        <td style="display:inline-block; float:right">

        <!-- DEclare first get from the library of the Common that yudha built to set library for the js code used -->
        @{ var gridSetting = ((Toyota.Common.Web.Html.Helper.DevExpress.CommonGridLookupSettings)(TempData["Grid" + TempData["GridName"]]));
    TempData["Grid" + TempData["GridName"]] = gridSetting;
    TempData["GridName"] = gridSetting.Name;
    }
            <!-- After that we can start used the function on the button need -->
            @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnClear";
                    settings.Text = "Clear";
                    settings.UseSubmitBehavior = true;
                    settings.ClientSideEvents.Click = "function(s, e){ Grid" + gridSetting.Name + ".UnselectRows(); }";
                }
              ).GetHtml()
        </td>
    </tr>
</table>